package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.VipCardRecord;
import com.yonge.cooleshow.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "VipCardRecordVo对象", description = "购买会员卡记录表查询视图对象")
public class VipCardRecordVo extends VipCardRecord{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(hidden = true)
	private String phone;

	@ApiModelProperty("原价 ")
	private BigDecimal originalPrice;

	@ApiModelProperty("销售价 ")
	private BigDecimal salePrice;

	@ApiModelProperty("周期 ")
	private PeriodEnum period;

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	}

	public BigDecimal getSalePrice() {
		return salePrice;
	}

	public void setSalePrice(BigDecimal salePrice) {
		this.salePrice = salePrice;
	}

	public PeriodEnum getPeriod() {
		return period;
	}

	public void setPeriod(PeriodEnum period) {
		this.period = period;
	}
}